@echo off
py -3 --version >nul 2>nul
if %ERRORLEVEL% NEQ 0 (
    color 4E
    echo Python 3 n'est pas une commande reconnue de votre Windows. Installez le depuis http://www.python.org, ou si vous l'avez deja installe, assurez vous qu'il soit disponible dans le PATH
    echo voici les pythons installés sur votre machine :
    py -0
    pause
    exit 1
)
color 1E
REM Activate the virtual environment and run the Python script
if not exist venv\ (
    echo Configuration de l'environment python, veuillez patienter
    py -3 -m venv venv
)
call venv\Scripts\activate.bat
python main.py
pause
exit 0
